> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List incident updates

> Get a paginated list of incident updates



## OpenAPI

````yaml get /uptime/incidents/{incidentId}/updates
openapi: 3.0.0
info:
  title: Phare
  description: >-
    Learn how to use the phare.io API. Most of the things that can be done on
    the web platform can also be achieved with the API documented on this page.
  termsOfService: https://phare.io/legal/terms-of-service
  contact:
    name: Phare
    email: support@phare.io
  version: '1.0'
servers:
  - url: https://api.phare.io
security:
  - BearerAuth: []
tags:
  - name: Users
    description: Users
  - name: Projects
    description: Projects
  - name: Alert Rules
    description: Alert Rules
  - name: Monitors
    description: Monitors
  - name: Incidents
    description: Incidents
  - name: Status Pages
    description: Status Pages
  - name: Reports
    description: Reports
  - name: Platform
    description: Platform
  - name: Integrations
    description: Integrations
paths:
  /uptime/incidents/{incidentId}/updates:
    get:
      tags:
        - Incidents
      summary: List incident updates
      description: Get a paginated list of incident updates
      operationId: getUptimeIncidentUpdates
      parameters:
        - name: incidentId
          in: path
          description: ID of the incident
          required: true
          schema:
            type: integer
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/per_page'
        - $ref: '#/components/parameters/header_project_id'
        - $ref: '#/components/parameters/header_project_slug'
      responses:
        '200':
          description: Success, incident updates retrieved
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          description: Incident update ID
                          type: integer
                          example: 1
                        state:
                          $ref: '#/components/schemas/Uptime.Incident.StateEnum'
                        content:
                          description: Content of the incident update
                          type: string
                          example: We are investigating the issue.
                          maximum: 10000
                          minimum: 1
                        published_at:
                          description: Date of publication of the incident update
                          type: string
                          format: date-time
                        creator:
                          description: Creator of the incident update
                          properties:
                            id:
                              description: Creator ID
                              type: integer
                              example: 1
                            type:
                              description: Creator type
                              type: string
                              example: user
                              enum:
                                - user
                                - api_key
                            label:
                              description: Creator label
                              type: string
                              example: nicolas@phare.io
                          type: object
                        created_at:
                          description: Date of creation for the entity
                          type: string
                          format: date-time
                        updated_at:
                          description: Date of last update for the entity
                          type: string
                          format: date-time
                      required:
                        - state
                        - content
                  meta:
                    $ref: '#/components/schemas/meta'
                  links:
                    $ref: '#/components/schemas/links'
                type: object
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    page:
      name: page
      in: query
      description: Page number to show
      required: false
      schema:
        type: integer
        example: 1
        default: 1
    per_page:
      name: per_page
      in: query
      description: Number of resources to return per page
      required: false
      schema:
        type: integer
        example: 20
        default: 20
        maximum: 100
        minimum: 1
    header_project_id:
      name: X-Phare-Project-Id
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: integer
        example: 1
    header_project_slug:
      name: X-Phare-Project-Slug
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: string
        example: luminous-guiding-tower
  schemas:
    Uptime.Incident.StateEnum:
      type: string
      enum:
        - unknown
        - investigating
        - identified
        - monitoring
        - resolved
    meta:
      description: Meta data for pagination
      properties:
        current_page:
          type: integer
          example: 2
        from:
          type: integer
          example: 11
        to:
          type: integer
          example: 20
        per_page:
          type: integer
          example: 100
        path:
          type: string
          example: https://api.phare.io/{resource}?page=2
      type: object
    links:
      description: Links for pagination
      properties:
        first:
          type: string
          format: url
          example: https://api.phare.io/{resource}?page=2
        last:
          type: string
          format: url
          example: https://api.phare.io/{resource}?page=10
          nullable: true
        prev:
          type: string
          format: url
          example: https://api.phare.io/{resource}?page=1
          nullable: true
        next:
          type: string
          format: url
          example: https://api.phare.io/{resource}?page=1
          nullable: true
      type: object
  responses:
    '401':
      description: Error, access unauthorized
      content:
        application/json:
          schema:
            description: Access unauthorized error schema
            properties:
              message:
                type: string
                example: Unauthorized
            type: object
    '403':
      description: Error, access forbidden
      content:
        application/json:
          schema:
            description: Access forbidden error schema
            properties:
              message:
                type: string
                example: >-
                  The platform:write permission is required to perform this
                  action.
            type: object
  securitySchemes:
    BearerAuth:
      type: http
      description: >-
        Use a user token to access authenticated routes. The token must be
        specified in the Authorization HTTP header with the following format
        'Authorization: Bearer <token>'.
      scheme: bearer

````